Subject: Re: Re: realtek PHY commit bbc4d71d63549 causes regression

From: Jernej Škrabec <[email-masked]>
Date: Thu, 05 Nov 2020 18:31:28 +0100

Hi!

Dne četrtek, 29. oktober 2020 ob 15:46:44 CET je Ilias Apalodimas napisal(a):
> On Thu, Oct 29, 2020 at 03:39:34PM +0100, Andrew Lunn wrote:
> > > What about reverting the realtek PHY commit from stable?
> > > As Ard said it doesn't really fix anything (usage wise) and causes a 
bunch of
> > > problems.
> > > 
> > > If I understand correctly we have 3 options:
> > > 1. 'Hack' the  drivers in stable to fix it (and most of those hacks will 
take 
> > >    a long time to remove)
> > > 2. Update DTE of all affected devices, backport it to stable and force 
users to
> > > update
> > > 3. Revert the PHY commit
> > > 
> > > imho [3] is the least painful solution.
> > 
> > The PHY commit is correct, in that it fixes a bug. So i don't want to
> > remove it.
> 
> Yea I meant revert the commit from were ever it was backported, not on 
current 
> upstream. I agree it's correct from a coding point of view, but it never 
> actually fixes anything functionality wise of the affected platforms. 

Sadly, there is one board - Pine64 Plus - where HW settings are wrong and it 
actually needs SW override. Until this Realtek PHY driver fix was merged, it 
was unclear what magic value provided by Realtek to board manufacturer does.

Reference:
https://lore.kernel.org/netdev/[email-masked]/

Best regards,
Jernej

> On the contrary, it breaks platforms without warning.
> 
> > 
> > Backporting it to stable is what is causing most of the issues today,
> > combined with a number of broken DT descriptions. So i would be happy
> > for stable to get a patch which looks at the strapping, sees ID is
> > enabled via strapping, warns the DT blob is FUBAR, and then ignores
> > the requested PHY-mode. That gives developers time to fix their broken
> > DT.
> 
> (Ard replied on this while I was typing)
> 
> > 
> > 	  Andrew
> 
> Cheers
> /Ilias
> 
>